Update a brand

circle-exclamation

Update brand at organization level

patch

A brand cannot be updated if the status is failed. The brand must be resubmitted as new. When a brand is approved or has an approved vetting, then the fields 'companyName', 'entityType', 'ein' and 'einIssuingCountry' cannot be updated. When a brand is rejected all fields can be updated.

Authorizations
HTTPRequired

Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')

Path parameters
organizationIdstring · uuidRequired

The ID for the organization.

Example: d0b85ccc-b63a-4e81-b698-c359d77d250e
brandIdstringRequired

A unique identifier for the brand.

Body
Responses
chevron-right
200

Brand successfully updated

application/json
idstring · uuidOptional

The ID of the number.

tcrBrandIdstringOptional

The Campaign Registry brand ID.

organizationIdstring · uuidOptional
createdAtstring · date-timeOptional

Timestamp (UTC) when the brand was created.

updatedAtstring · date-time · nullableOptional

Timestamp (UTC) when the brand was last updated.

statusstring · enumOptional

Brand status

Example: PENDINGPossible values:
authPlusStatusstring · enumOptional

Brand Auth+ status

Possible values:
entityTypestring · enumRequired

Legal entity type. It can't be updated when the brand is approved.

Example: PRIVATE_PROFITPossible values:
firstNamestring · max: 100Optional

First or given name. Applicable to entity type.

Example: John
lastNamestring · max: 100Optional

Last or Surname. Applicable to entity type.

Example: Doe
displayNamestring · max: 255Required

Display or marketing name your brand.

Example: ABC Mobile
companyNamestring · max: 255Required

Legal company name. This should match the legal company name used to register your EIN/Tax ID.

Example: ABC Inc.
einstring · max: 21Required

Government assigned corporate tax ID. EIN is 9-digits in the U.S.

Example: 111111111
einIssuingCountrystring · max: 2Required

The 2 letter ISO country of registration submitted with your EIN / Tax ID registration.

Example: US
phonestring · max: 20Required

Valid phone number in e.164 international format.

Example: +12024567890
streetstring · max: 100Required

Street number and name.

Example: 123 6th Ave
citystring · max: 100Required

City name

Example: New York
statestring · max: 20Required

State. Must be a 2 letter state code for US states.

Example: NY
postalCodestring · max: 10Required

Postal code. Must be a 5 digit zip code for the United States.

Example: 10001
countrystring · max: 2Required

ISO 2 character country code.

Example: US
emailstring · max: 100Required

Valid email address of brand support contact.

Example: [email protected]
stockSymbolstring · max: 10Optional

Stock symbol.

Example: ABC
stockExchangestring · enumOptional

Stock exchange. Required for entityType PUBLIC.

Example: NASDAQPossible values:
websitestring · max: 100Required

Brand website URL.

Example: https://example.com
verticalstring · max: 50Optional

Vertical or industry segment of the brand.

Example: RETAIL
altBusinessIdstring · max: 50Optional

Alternate business identifier.

altBusinessIdTypestring · enumOptional

Alternate business identifier type. Required if altBusinessId is provided.

Possible values:
businessContactEmailone ofOptional

Business contact email.

string · emailOptional
or
stringOptional
businessContactEmailVerifiedDatestring · date-timeOptional

Timestamp (UTC) when the brand businessContactEmail was verified.

workspaceIdsstring · uuid[]Required
organizationWidebooleanRequired

If true, this brand is available to all workspaces in the organization, including newly created workspaces.

patch
/organizations/{organizationId}/tcr-brands/{brandId}

BrandUpdate object

Field
Type
Description
Mandatory
Editing restrictions

entityType

Legal entity type

Optional

Yes. If Brand has an Approved campaign or Vetting has been Approved

displayName

string

Display or marketing name your brand

Optional

companyName

string

Legal company name. This should match the legal company name used to register your EIN/Tax ID

Optional

Yes. If Brand has an Approved campaign or Vetting has been Approved

ein

string

Government assigned corporate tax ID. EIN is 9-digits in the U.S.

Optional

Yes. If Brand has an Approved campaign or Vetting has been Approved

einIssuingCountry

string

The 2 letter ISO country of registration submitted with your EIN / Tax ID registration

Optional

Yes. If Brand has an Approved campaign or Vetting has been Approved

phone

string

Valid phone number in e.164 international format.

Optional

street

string

Street number and name

Optional

city

string

City name

Optional

state

string

State. Must be a 2 letter state code for US states

Optional

postalCode

string

Postal code. Must be a 5 digit zip code for the United States

Optional

country

string

ISO 2 character country code

Optional

email

string

Valid email address of brand support contact

Optional

stockSymbol

Stock symbol

Optional. Required if updating stockExchange

stockExchange

Stock exchange

Optional. Required if updating stockSymbol

website

string

Brand website URL

Optional

vertical

Vertical or industry segment of the brand

Optional

workspaceIds

array<UUID>

An array of valid workspace IDs associated with organisation. Brand will be shared with workspace Ids listed

Optional. Provide new list to share with different set of workpaces

BrandResonse object

Type
Description

BrandResponse object describes a submitted brand

Last updated

Was this helpful?